Package org.spongepowered.asm.util.internal

## Class SLArrayUtils

- java.lang.Object
- - org.spongepowered.asm.util.internal.SLArrayUtils

    @Internal
    public final class SLArrayUtils
    extends java.lang.Object

### Method Summary

All Methods Static Methods Concrete Methods
`static int @NotNull []` `concat​(int @NotNull [] argA, int @NotNull [] argB)`
`static <T> T @NotNull []` `concat​(T @NotNull [] argA, T @NotNull [] argB)`
`static <T> T @NotNull []` `concat​(T argA, T @NotNull [] argB)`
`static boolean` `contains​(char[] array, char value)`
`static boolean` `contains​(int[] array, int value)`
`static int` `indexOf​(int[] array, int v)`
`static int @NotNull []` `toIntArray​(@NotNull java.util.Collection<@NotNull java.lang.Integer> collection)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### concat

    @Contract(pure=true)
    public static int @NotNull [] concat​(int @NotNull [] argA,
                                         int @NotNull [] argB)

#### concat

    @Contract(pure=true)
    public static <T> T @NotNull [] concat​(@NotNull
                                           T argA,
                                           T @NotNull [] argB)

#### concat

    @Contract(pure=true)
    public static <T> T @NotNull [] concat​(T @NotNull [] argA,
                                           T @NotNull [] argB)

#### contains

    @Contract(pure=true)
    public static boolean contains​(char[] array,
                                   char value)

#### contains

    @Contract(pure=true)
    public static boolean contains​(int[] array,
                                   int value)

#### indexOf

    @Contract(pure=true)
    public static int indexOf​(int[] array,
                              int v)

#### toIntArray

    public static int @NotNull [] toIntArray​(@NotNull
                                             @NotNull java.util.Collection<@NotNull java.lang.Integer> collection)